<?php

class ManageDashboardsWithTeams
{
    public function configureRecordsWithTeam($bean)
    {
        $navConfigUsers = $this->getAvailableUsersForUpdate($bean->team_id_c);

        foreach ($navConfigUsers as $navConfigUser) {

            // Used to differentiate a bean->save() coming from a team context from one coming from a user context.
            $navConfigUser->triggered_from_team_context = true;

            $navConfigUser->accounts = $bean->accounts;
            $navConfigUser->contacts = $bean->contacts;
            $navConfigUser->leads = $bean->leads;
            $navConfigUser->opportunities = $bean->opportunities;
            $navConfigUser->enabled = $bean->enabled;

            // This triggers an after_save hook that handles the Dashboard configuration at the User level.
            $navConfigUser->save();
        }
    }

    public function getAvailableUsersForUpdate($teamId) {
        $availableUsers = array();
        // Get all the records last_edited_from TEAMS.
        $query = new SugarQuery();
        $query->select(array('id', 'user_id_c'));
        $query->distinct(true);
        $query->from(BeanFactory::newBean('lnkdn_nav_config'));
        $query->joinTable('team_memberships', array('alias' => 't'))
            ->on()
            ->equalsField('lnkdn_nav_config.user_id_c','t.user_id')
            ->equals('t.team_id', $teamId)
            ->equals('t.deleted', 0);
        $query->where()->queryOr()->notEquals('last_edited_from', 'users')->isNull('last_edited_from');
        $results = $query->execute();
        if (count($results) > 0) {
            foreach ($results as $userDetails) {
                $availableUsers[] = BeanFactory::getBean('lnkdn_nav_config', $userDetails['id']);
            }
        }

        return $availableUsers;
    }
}