/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * Rowaction is a button that when selected will trigger a Backbone Event.
 *
 * @class View.Fields.Base.RowactionField
 * @alias SUGAR.App.view.fields.BaseRowactionField
 * @extends View.Fields.Base.ButtonField
 */
({
    extendsFrom: 'RowactionField',

    /**
     * @inheritdoc
     */
    initialize: function (options) {
        this._super('initialize', [options]);
        this.context.on("licenseChanged", _.bind(this.render, this));
    },

    render: function () {
        if(this.disposed){
            return;
        }

        this._super("render");
        if (this.name === "edit_button" && this.view && this.view.name === "recordlist") {
            if (this.context.get("licenseExceeded") && this.model.get("enabled") === "0") {
                this.$("a").addClass("disabled");
            }
            else {
                this.$("a").removeClass("disabled");
            }
        }
    },
})
