({

    extendsFrom: "FilterpanelLayout",

    initialize: function (options) {
        this._super("initialize", [options]);
    },

    /**
     * Show and render a given component. Hide all others.
     * @param {string} name
     * @param {boolean} silent
     */
    showComponent: function (name, silent) {
        if (!name) return;

        _.each(this.componentsList, function (comp) {
            if (comp.name === name) {
                comp.show();

                // Should only render if the component has never rendered before.
                if (!comp._skipRenderWhenToggled) {
                    comp.render();
                    comp._skipRenderWhenToggled = true;
                }
            } else {
                comp.hide();
            }
        }, this);


        if (name == "api-config") {
            //hide tabs view
            this.toggleTabsView(true);
        }
        else {
            this.toggleTabsView(false);
            //Need to respect silent param if true as it prevents double rendering:
            //SP-1766-Filter for sidecar modules causes two requests to list view
            this.trigger('filterpanel:change', name, silent);
        }
    },

    toggleTabsView: function (hide) {
        var TabView = _.find(this._components, function (comp) {
            return comp.name === "tabs"
        });

        if (hide) {
            TabView.$el.hide();
        }
        else {
            TabView.$el.show();
        }
    }
})