({
    initialize: function(options){
        this._super('initialize', [options]);
        this.safeToRender = false;
        this.initView();

        this.collection.on("data:sync:complete", this.initView, this);
        this.collection.on("add remove", this.initView, this);
    },

    initView: function(){
        var url = app.api.buildURL("license-info");
        this.licenseModel = app.data.createBean(this.module);
        var view = this;
        app.api.call('read', url, null, {
            success: function(data){
                view.licenseModel.set(data);

                view.context.set("licenseExceeded", data.licenseExceeded);
                view.context.trigger("licenseChanged");

                view.safeToRender = true;
                view.render();
            },
            error: function(error){
                if (error && error.status == 412 && !error.request.metadataRetry) {
                    view.handleMetadataSyncError(error);
                }
                else {
                    view.hasError = true;
                    view.safeToRender = true;
                    view.errorTitle = error.errorThrown;
                    view.errorMessage = error.message;
                    view.render();
                }
            }
        })
    },

    render: function(){
        if(this.safeToRender){
            this._super('render');
        }
    },

    handleMetadataSyncError: function(error) {
        var self = this;
        //On a metadata sync error, retry the save after the app is synced
        self.resavingAfterMetadataSync = true;
        app.once('app:sync:complete', function() {
            error.request.metadataRetry = true;
            app.router.refresh();
            //add a new success callback to refresh the page after the save completes
            error.request.execute(null, app.api.getMetadataHash());
        });
    },
})