/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

({

    events: {
        'click .actions .btn': 'toggleFilter'
    },
    /**
     * @override
     * @param {Object} options
     */
    initialize: function (options) {
        this._super("initialize", [options]);
    },

    render: function () {
        this.toggleViewLastStateKey = app.user.lastState.key('linkedin-filters', this);
        this.lastViewed = app.user.lastState.get(this.toggleViewLastStateKey) || "teams";
        this._super("render");
    },


    toggleFilter: function (e) {
        var $el = this.$(e.currentTarget);
        // Only toggle if we click on an inactive button
        if (!$el.hasClass("active")) {
            var data = $el.data();
            app.user.lastState.set(this.toggleViewLastStateKey, data.view);
            this.layout.trigger("filter:apply");
        }
    },
})
