<?php

/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

$dictionary['lnkdn_nav_config'] = array(
    'table' => 'lnkdn_nav_config',
    'audited' => true,
    'activity_enabled' => false,
    'acls' => array('SugarACLLnkdnNavConfig' => true),
    'duplicate_merge' => true,
    'fields' => array(
        'enabled' =>
            array(
                'required' => true,
                'name' => 'enabled',
                'vname' => 'LBL_DASHBOARD_ENABLED',
                'type' => 'enum',
                'massupdate' => true,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'default' => '0',
                'calculated' => false,
                'len' => 100,
                'size' => '20',
                'options' => 'dom_int_bool',
                'dbType' => 'enum',
                'separator' => '<br>',
            ),
        'is_team' => array(
            'labelValue' => 'Is Team',
            'enforced' => '',
            'dependency' => '',
            'required' => true,
            'name' => 'is_team',
            'vname' => 'LBL_IS_TEAM',
            'type' => 'bool',
            'massupdate' => false,
            'no_default' => false,
            'comments' => '',
            'help' => '',
            'importable' => 'true',
            'duplicate_merge' => 'enabled',
            'duplicate_merge_dom_value' => 1,
            'audited' => false,
            'reportable' => true,
            'unified_search' => false,
            'merge_filter' => 'disabled',
            'default' => false,
            'calculated' => false,
            'len' => 255,
            'size' => '20',
            ),
        'last_edited_from' =>
            array (
                'name' => 'last_edited_from',
                'vname' => 'LBL_LAST_EDITED_FROM',
                'type' => 'varchar',
                'labelValue' => 'Last edited from',
                'len' => 255,
                'size' => '20',
                'full_text_search' =>
                    array (
                        'enabled' => '0',
                        'boost' => '1',
                        'searchable' => false,
                    ),
                'enforced' => '',
                'dependency' => '',
                'required' => false,
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => 1,
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'calculated' => false,
                'id' => 'lnkdn_nav_configlast_edited_from',
                'custom_module' => 'lnkdn_nav_config',
            ),
        'accounts' =>
            array(
                'required' => true,
                'name' => 'accounts',
                'vname' => 'LBL_ACCOUNTS',
                'type' => 'enum',
                'massupdate' => true,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'default' => '0',
                'calculated' => false,
                'len' => 100,
                'size' => '20',
                'options' => 'dom_int_bool',
                'dbType' => 'enum',
                'separator' => '<br>',
            ),
        'contacts' =>
            array(
                'required' => true,
                'name' => 'contacts',
                'vname' => 'LBL_CONTACTS',
                'type' => 'enum',
                'massupdate' => true,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'default' => '0',
                'calculated' => false,
                'len' => 100,
                'size' => '20',
                'options' => 'dom_int_bool',
                'dbType' => 'enum',
                'separator' => '<br>',
            ),
        'leads' =>
            array(
                'required' => true,
                'name' => 'leads',
                'vname' => 'LBL_LEADS',
                'type' => 'enum',
                'massupdate' => true,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'default' => '0',
                'calculated' => false,
                'len' => 100,
                'size' => '20',
                'options' => 'dom_int_bool',
                'dbType' => 'enum',
                'separator' => '<br>',
            ),
        'opportunities' =>
            array(
                'required' => true,
                'name' => 'opportunities',
                'vname' => 'LBL_OPPORTUNITIES',
                'type' => 'enum',
                'massupdate' => true,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'default' => '0',
                'calculated' => false,
                'len' => 100,
                'size' => '20',
                'options' => 'dom_int_bool',
                'dbType' => 'enum',
                'separator' => '<br>',
            ),
        'user_id_c' =>
            array(
                'required' => false,
                'name' => 'user_id_c',
                'vname' => 'LBL_USER_WITH_ACCESS_USER_ID',
                'type' => 'id',
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => 1,
                'audited' => false,
                'reportable' => false,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'calculated' => false,
                'len' => 36,
                'size' => '20',
            ),
        'team_id_c' =>
            array(
                'required' => false,
                'name' => 'team_id_c',
                'vname' => 'LBL_TEAM_WITH_ACCESS_TEAM_ID',
                'type' => 'id',
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => 1,
                'audited' => false,
                'reportable' => false,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'calculated' => false,
                'len' => 36,
                'size' => '20',
            ),
        'user_with_access' =>
            array(
                'required' => false,
                'source' => 'non-db',
                'name' => 'user_with_access',
                'vname' => 'LBL_USER_WITH_ACCESS',
                'type' => 'relate',
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'calculated' => false,
                'len' => '255',
                'size' => '20',
                'id_name' => 'user_id_c',
                'ext2' => 'Users',
                'module' => 'Users',
                'rname' => 'name',
                'quicksearch' => 'enabled',
                'studio' => 'visible',
            ),
        'team_with_access' =>
            array(
                'required' => false,
                'source' => 'non-db',
                'name' => 'team_with_access',
                'vname' => 'LBL_TEAM_WITH_ACCESS',
                'type' => 'relate',
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'importable' => 'true',
                'duplicate_merge' => 'enabled',
                'duplicate_merge_dom_value' => '1',
                'audited' => false,
                'reportable' => true,
                'unified_search' => false,
                'merge_filter' => 'disabled',
                'calculated' => false,
                'len' => '255',
                'size' => '20',
                'id_name' => 'team_id_c',
                'ext2' => 'Teams',
                'module' => 'Teams',
                'rname' => 'name',
                'quicksearch' => 'enabled',
                'studio' => 'visible',
            ),
        'name' =>
            array(
                'name' => 'name',
                'vname' => 'LBL_NAME',
                'type' => 'name',
                'dbType' => 'varchar',
                'len' => '255',
                'unified_search' => true,
                'full_text_search' =>
                    array(
                        'enabled' => true,
                        'boost' => '1.55',
                        'searchable' => true,
                    ),
                'required' => false,
                'importable' => 'required',
                'duplicate_merge' => 'enabled',
                'merge_filter' => 'selected',
                'duplicate_on_record_copy' => 'always',
                'massupdate' => false,
                'no_default' => false,
                'comments' => '',
                'help' => '',
                'duplicate_merge_dom_value' => '3',
                'audited' => false,
                'reportable' => true,
                'default' => '',
                'calculated' => false,
                'size' => '20',
            ),
    ),
    'relationships' => array(),
    'optimistic_locking' => true,
    'unified_search' => true,
    'full_text_search' => true,
);

if (!class_exists('VardefManager')) {
}
VardefManager::createVardef('lnkdn_nav_config', 'lnkdn_nav_config',
    array('basic', 'team_security', 'assignable', 'taggable'));