<?php

class AddLiNavRecordHook
{
    function addLiNavRecord($bean, $event, $arguments)
    {
        if (false === ($bean instanceof Team)) {
            return;
        }

        if (true == $bean->private) {
            return; // We don't want to continue if we're handling a private team of a user.
        }

        $lnkdn = new SugarQuery();
        $lnkdn->from(BeanFactory::newBean('lnkdn_nav_config'));
        $lnkdn->select(array('id'));
        $lnkdn->where()->equals('team_id_c', $bean->id);
        $alreadySavedTeamRecord = $lnkdn->execute();

        if (!empty($alreadySavedTeamRecord)) {

            if (true === $arguments['isUpdate']) {
                if (isset($arguments['dataChanges']['name'])) {
                    $liNavBean = BeanFactory::getBean('lnkdn_nav_config', $alreadySavedTeamRecord[0]['id']);
                    $liNavBean->name = $bean->name;
                    $liNavBean->save();
                }
            }
            return;
        }

        $newBean = BeanFactory::newBean('lnkdn_nav_config');
        $newBean->team_id_c = $bean->id;
        $newBean->name = $bean->name;
        $newBean->last_edited_from = 'teams';
        $newBean->is_team = true;
        $newBean->triggered_from_team_context = true;
        $newBean->save();
    }
}
