<?php

/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

class DeleteTeamFromSalesNavigatorTable
{

    public function deleteFromSalesNav($bean, $event, $arguments)
    {
        if (false === ($bean instanceof Team)) {
            return;
        }

        if (true == $bean->private) {
            return; // We don't want to continue if we're handling a private team of a user.
        }

        if ($bean->deleted === 1) {
            $lnkdn = new SugarQuery();
            $lnkdn->from(BeanFactory::newBean('lnkdn_nav_config'));
            $lnkdn->select(array('id'));
            $lnkdn->where()->equals('team_id_c', $bean->id);
            $existing = $lnkdn->execute();

            if (!empty($existing)) {
                $liNavBean = BeanFactory::getBean('lnkdn_nav_config', $existing[0]['id']);
                $liNavBean->mark_deleted($liNavBean->id);
            }
        }
    }


}