<?php

class AddLiNavHook
{
    function addLiNavRecord($bean, $event, $arguments)
    {
        $lnkdn = new SugarQuery();
        $lnkdn->from(BeanFactory::newBean('lnkdn_nav_config'));
        $lnkdn->select(array('id'));
        $lnkdn->where()->equals('user_id_c', $bean->id);
        $alreadySavedUserRecord = $lnkdn->execute();

        if (!empty($alreadySavedUserRecord)) {

            if (true === $arguments['isUpdate']) {
                if (isset($arguments['dataChanges']['first_name']) ||
                    isset($arguments['dataChanges']['last_name'])) {

                    $liNavBean = BeanFactory::getBean('lnkdn_nav_config', $alreadySavedUserRecord[0]['id']);
                    $liNavBean->name = $this->buildFullName($bean);
                    $liNavBean->save();
                }
            }
            return;
        }

        $newBean = BeanFactory::newBean('lnkdn_nav_config');
        $newBean->user_id_c = $bean->id;
        $newBean->name = $this->buildFullName($bean);
        $newBean->last_edited_from = 'teams'; // We don't consider the record managed from a TEAM's perspective.
        $newBean->is_team = false;
        $newBean->triggered_from_team_context = true;
        $newBean->save();
    }

    private function buildFullName($bean) {
        $name = $bean->user_name;
        if (!empty($bean->first_name) && !empty($bean->last_name)) {
            $name = $bean->first_name . ' ' . $bean->last_name;
        }

        return $name;
    }
}
